Authorizations
- Authorization string required header
All requests require a Bearer token in the
Authorizationheader. API keys are prefixed withfdsk_and should be kept secret. You can generate and manage keys from the Developer settings page.
Query Parameters
- limit integer
Maximum number of items to return (1-100). Example: 20
- offset integer
Number of items to skip before collecting results. Example: 0
Response
application/json- items[] object array
Current page items. Collection payload.
+ - Show Child Attributes
- id string
Ferndesk collection ID (
col_...). - helpdeskId string
Ferndesk helpdesk ID (
hd_...). - sectionId string | null
Parent section ID for this collection.
- parentCollectionId string | null
Parent collection ID if this is nested.
- title string
Collection title.
- subtitle string | null
Optional collection subtitle.
- shortId string
Short human-friendly identifier.
- createdAt string
ISO 8601 timestamp in UTC.
- updatedAt string
ISO 8601 timestamp in UTC.
- translations[] object arraydefault
Localized collection translations. Default: [].
+ - Show Child Attributes
- id string
Collection translation record ID.
- collectionId string
Ferndesk collection ID (
col_...). - language string
Language code for this translation.
- title string
Localized collection title.
- subtitle string | null
Localized collection subtitle.
- status string
Translation status.
- createdAt string
ISO 8601 timestamp in UTC.
- updatedAt string
ISO 8601 timestamp in UTC.
- limit integer
Page size used for this response.
- offset integer
Number of skipped records for this page.
- total integer
Total matching records across all pages.